<template>
  <div>📖...</div>
</template>

<script>
//THIS FORM IS USED WHEN CLICKING ON A OPEN URL FROM A NOTIFICATION EMAIL ETC
//it's only ever called from the router directly for certain urls see below
export default {
  data() {
    return {};
  },
  created() {
    //Capture open object type and id if present
    //  path: "/open/:socktype/:recordid",
    //vm.$route.params.socktype
    //vm.$route.params.recordid
    //{ type: [AYATYPE], id: [RECORDID] }
    window.$gz.eventBus.$emit("openobject", {
      type: Number(this.$route.params.socktype),
      id: Number(this.$route.params.recordid)
    });
  }
};
</script>
